﻿/**
* ******************************************************
*                                                       *
*   Copyright (C) Microsoft. All rights reserved.       *
*                                                       *
*******************************************************
*/
/// <reference path="../../typings/node.d.ts" />
/// <reference path="../../typings/Q.d.ts" />
/// <reference path="../../typings/vcremote-utils.d.ts" />
/// <reference path="../../typings/express.d.ts" />
/// <reference path="../../typings/express-extensions.d.ts" />
"use strict";
var langSpecifics = require("./language-specifics");

var DebugManager;
(function (DebugManager) {
    var providers = {};

    function setupForDebugging(req, res) {
        var debugProvider = langSpecifics.getLanguageSpecifics(req);
        if (providers[debugProvider.id] == null) {
            providers[debugProvider.id] = debugProvider;
        }

        debugProvider.setupForDebugging(req, res);
    }
    DebugManager.setupForDebugging = setupForDebugging;

    function getAppRemotePath(req, res) {
        langSpecifics.getLanguageSpecifics(req).getAppRemotePath(req, res);
    }
    DebugManager.getAppRemotePath = getAppRemotePath;

    function shutdown() {
        for (var id in providers) {
            providers[id].terminateDebugger();
            delete providers[id];
        }
    }
    DebugManager.shutdown = shutdown;
})(DebugManager || (DebugManager = {}));

module.exports = DebugManager;
