﻿/**
* ******************************************************
*                                                       *
*   Copyright (C) Microsoft. All rights reserved.       *
*                                                       *
*******************************************************
*/
/// <reference path="../../typings/node.d.ts" />
/// <reference path="../../typings/nconf.d.ts" />
/// <reference path="../../typings/Q.d.ts" />
/// <reference path="../../typings/vcremote-utils.d.ts" />
/// <reference path="../../typings/express.d.ts" />
"use strict";
var os = require("os");

var HostSpecifics;
(function (HostSpecifics) {
    HostSpecifics.hostSpecifics;

    var cachedSpecifics;

    Object.defineProperty(HostSpecifics, "hostSpecifics", {
        get: function () {
            if (!cachedSpecifics) {
                var platform = os.platform();

                // Load win32\win32-specifics.js or darwin\darwon-specifics.js
                // depending on whether we're running on Windows or OSX
                cachedSpecifics = require("./" + platform + "/" + platform + "-specifics");
            }

            return cachedSpecifics;
        }
    });
})(HostSpecifics || (HostSpecifics = {}));

module.exports = HostSpecifics;
